/***********************************************************************/
/* dfslogArchiveMessages.sql                                           */
/*                                                                     */
/* This script is intended to be run periodically, archiving messages. */
/*                                                                     */
/* All "important" messages are moved to the archive_message table.    */
/* The definition of "important messages", one must edit the           */
/* copy_messages_to_archive stored procedure in the dfslog database.   */
/*                                                                     */
/* This SQL script must be run as the "dfslog_dbo" or "sa" SYBASE user.*/
/*                                                                     */
/* To run the script, use a command similar to the following:          */
/*                                                                     */
/*  isql -U<usr> -S<server> -P <psswd> -i dfslogArchiveMessages.sql    */
/*                                                                     */
/* Revision Log:                                                       */
/*                                                                     */
/* Date           Who                Comment                           */
/*---------------------------------------------------------------------*/
/* Apr 29 1999    N. Kornweibel      Original version.                 */
/*                                                                     */
/***********************************************************************/

use dfslog
execute copy_messages_to_archive
go
/* end of script */
