/**
 * These classes have been developed for the DFSLog system.
 *
 * @author N. Kornweibel nkornwei@eso.org
 *
 * TO DO:
 * need @revision, and SNIFF info here.
 * 
 */
package org.eso.dfslog;

import java.io.*;

/**
 * ReportRunner:
 *
 * A Runnable which accepts a Report object, and generates a report.
 *
 */

public class ReportRunner implements Runnable {

    Report rep = null;
    boolean reportOk = false;
 
   
    public ReportRunner(Report r) {
        rep = r;
    }


    public boolean reportStatus() {
        return reportOk;
    }


    public void run() {
        if (rep != null) {
            reportOk = rep.generateReport();
        }
    }


    public void interruptReport() {
        if (rep != null) {
            rep.interrupt();
        }
    }

}  // end of interface ReportRunner.
// end of file ReportRunner.java.
