package org.eso.gasgano.properties;

/**
 * @author nkornwei
 *
 * Interface used to listen for changes in the GasProp instance.
 */
public interface GasPropListener {

    /**
     * Called whenever the GasProp setProperties() is called, to indicate
     * that a new GasProp instance exists.
     * If the new instance has changes to the data model (different to the
     * current/old instance), then dataModelChange will be true.
     */
    public void newProperties(boolean dataModelChange);

}
