package org.eso.ohs.core.dbb.client;

// $Id: DbbWidgetEvent.java,v 1.1 2004/02/17 11:16:24 tcanavan Exp $

import java.util.EventObject;

/**
 * This class defines a specific event fired when modifying the
 * contents of a DbbWidget.
 */
public class DbbWidgetEvent extends EventObject {

    /** Number of events belonging to the class */
    protected static int count_ = 0;

    /** Create a DbbWidgetEvent object. */
    public DbbWidgetEvent(Object source) {
	super(source);
	count_++;
    }

    /** @return the total number of DbbWidgetEvent objects. */
    public int getNum() { return count_; }
}

