
package org.eso.ohs.persistence;

/**
 * The requested object was not found on the external medium.
 * 
 * <p>
 * $Id: ObjectNotFoundException.java,v 1.2 1999/10/20 08:41:57 bkemp Exp $
 */

public class ObjectNotFoundException extends Exception {

    /**
     * Construct an exception without explanatory message (not recommended)
     */
    public ObjectNotFoundException() {
	super();
    }

    /**
     * Construct an exception with accompanying explanatory text.
     * 
     * @param msg   message giving a reason for the exception.
     */
    public ObjectNotFoundException(String msg) {
	super(msg);
    }

}

